<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [sprintf](./bitburner.ns.sprintf.md)

## NS.sprintf() method

Format a string.

<b>Signature:</b>

```typescript
sprintf(format: string, ...args: any[]): string;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  format | string | String to format. |
|  args | any\[\] | Formating arguments. |

<b>Returns:</b>

string

Formated text.

## Remarks

RAM cost: 0 GB

see: https://github.com/alexei/sprintf.js

